summaryrefslogtreecommitdiff
path: root/qa/436
diff options
context:
space:
mode:
Diffstat (limited to 'qa/436')
-rwxr-xr-xqa/43624
1 files changed, 24 insertions, 0 deletions
diff --git a/qa/436 b/qa/436
new file mode 100755
index 0000000..2c320fc
--- /dev/null
+++ b/qa/436
@@ -0,0 +1,24 @@
+#!/bin/sh
+# PCP QA Test No. 436
+# Exercise compressed archive files - bzip2 version
+#
+# Copyright (c) 2014 Red Hat.
+# Copyright (c) 2010 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+. ./common.compress
+
+which bzip2 >/dev/null 2>&1 || _notrun No bzip2 binary installed
+
+status=1 # failure is the default!
+$sudo rm -rf $tmp $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+_prepare_compress bzip2 bunzip2 bz2
+_exercise_compression
+status=0 # success, we're all done
+exit